Bug 52797 - the partitions created by installer kill MS Windows performance
the partitions created by installer kill MS Windows performance
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-08-29 06:04 EDT by Hans van Walderveen
Modified: 2007-04-18 12:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-29 06:04:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
A solution to the performance/ghost-disk problem (408 bytes, patch)
2001-08-30 02:24 EDT, Hans van Walderveen
no flags Details | Diff

  None (edit)
Description Hans van Walderveen 2001-08-29 06:04:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:0.9.2) Gecko/20010628

Description of problem:
I have a dual boot system with two physical EDA drives
The first drive is for exclusive use of MS Windows 
(2 partitions: 
/dev/hda1 and /dev/hda2)
The second drive (/dev/hdb) is for on half Win95 FAT32 (/dev/hdb1) 
and for the other half for Linux.

I used to have RedHat 7.0 installed, with /dev/hdb2 as /
and /dev/hdb3 for LinuxSwap
Installing RH7.1 I choose the 'Automatic partition' option.
Installation went OK, only I noticed that RH7.1 was being installed 
on /dev/hdb5.

Back in MS Windows I noticed extremely slow operation, 
and a 'ghost' drive: 'E:', and a 'new' drive: 'F:'
The contents of 'F:' is what used to be 'E:'
Trying to access 'E:' resulted in heavy disk-noise,
and finally an error that the disk media was not available.

Back in Linux I checked fdisk, and found the following partition
table: for /dev/hdb:

partition:    start   stop    1kb blocks    type
----------    -----   ----    ----------    ------------------
1                 1    389       3124611     b  Win95 FAT32
2               390    396         56227+   83  Linux
3               397    784       3116610     5  Extended
5               397    736       2731018    83  Linux
6               737    761        200781+   82  Linux Swap
So the RH7.1 installer added a small partition at the beginning
of my original Linux partition (in Linux this is the /boot disk)
AND it added an 'Extended' partition in which my remaining 
Linux partition was put, as well as the swap partition.

Why did this happen, since you can have 4 primary partitions
per disk, the 'Extended' partitionn is not required.
And what happened to /dev/hdb4??
And why, but you may not be the right person to answer 
this question, is windows finding the ghost 'E:' disk.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1. Install RedHat 7.1 (not the upgrade from 7.0 to 7.1)

Additional info:

I've installed Linux 7.1 on 2 other machines, and both
have such a ghost disk, but the other two are not
suffering from the (additional) slowness of MS windows.
The other two machines were partitioned with manual partition (fdisk).
I haven't checked the disk partitions from the other machines.
Comment 1 Brent Fox 2001-08-29 18:06:37 EDT
Virtually all the partitioning code has been replaced for the next version of
Red Hat Linux, so I'm inclined to believe that this problem has already been
fixed.  In particular, the installer will only make an extended partition if
there is only one primary partition left.  That is, the installer will try to
create primary partitions whenever possible and will use an extended partition
only when necessary.  Since it looks like your extended partition is hda3, that
would explain why there is no hda4.  Once you have an extended partition, the
numbering for the logical partitions inside the extended partition starts at 5.  

For example, if you created one primary partition, one extended partition, and
three logical partitions, it would look like this:
hda1   -   the one primary partition
hda2   -   the extended partition
hda5, hda6, hda7   -   the three logical partitions

As for why Windows sees an E: drive, I can't say for sure.  I think it may have
to do with the fact that you still have unpartitioned space inside your extended

From your post above:
3               397    784       3116610     5  Extended
5               397    736       2731018    83  Linux
6               737    761        200781+   82  Linux Swap

you can tell that the Extended partition goes all the way out to cylinder 784,
but your swap partition stops at cylinder 761.  So, you have unpartitioned space
between cylinders 762 and 784. 

Even if that is the problem, that doesn't explain why Windows performance would
have degraded.  At any rate, I think these problems will not happen in the next
release.  If you are interested, you could check out the latest public beta
(Roswell) for the next version of Red Hat Linux to make sure that the problem
does not still exist.  It can be found at:

Please reopen this bug if you see this issue in the future.
Comment 2 Hans van Walderveen 2001-08-30 02:24:47 EDT
Created attachment 30176 [details]
A solution to the performance/ghost-disk problem

Note You need to log in before you can comment on or make changes to this bug.